<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//

if (!defined('SCHLIX_VERSION'))
    die();

global $HTMLHeader;
?>
<h3><?= $result_h3; ?></h3>
<p><?= $result_msg; ?></p>
<br />
<p><?= ___('Please use this form below to contact us'); ?></p>
<form class="ui form" method="post" action="<?= $this->createFriendlyURL("action=viewitem&id={$item['id']}"); ?>" id="editor" name="contact_form"  enctype="multipart/form-data">

    <?= \INPUT::CSRF() ?>
    <input type="hidden" name="contact_id" value="<?= $item ['id']; ?>" />

    <div class="ui stackable grid">
        <div class="row">
            <div class="ui twelve wide column">
                <div class="ui secondary segment">
                    <form>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="field">
                                    <label for="name"><?= ___('Name') ?></label>
                                    <div class="ui labeled input">
                                        <span class="ui label">
                                            <span class="fa fa-user"></span>
                                        </span>

                                        <input type="text" class="field" id="name" name="name" placeholder="<?= ___('Name') ?>" required="required" value="<?= SAFE_HTML($_POST['name']); ?>"  />
                                    </div>
                                </div>


                                <div class="field">
                                    <label for="email"><?= ___('E-mail'); ?></label>
                                    <div class="ui labeled input">
                                        <span class="ui label">
                                            <span class="fa fa-envelope"></span>
                                        </span>
                                        <input type="email" class="field" id="email" name="email" placeholder="<?= ___('Email') ?>" required="required" value="<?= SAFE_HTML($_POST['email']); ?>"  />
                                    </div>
                                </div>
                                <div class="field">
                                    <label for="subject"><?= ___('Subject'); ?></label>
                                    <div class="ui labeled input">
                                        <span class="ui label">
                                            <span class="fa fa-envelope"></span>
                                        </span>
                                        <input type="text" class="field" id="subject" name="subject" placeholder="<?= ___('Subject') ?>" required="required" value="<?= SAFE_HTML($_POST['subject']); ?>"  />
                                    </div>
                                </div>
                                
                                <div class="field">
                                    <label for="subject"><?= ___('Phone'); ?></label>
                                    <div class="ui labeled input">
                                        <span class="ui label">
                                            <span class="fa fa-phone"></span>
                                        </span>
                                        <input type="text" class="field" id="subject" name="phone" placeholder="<?= ___('Phone - optional') ?>"  value="<?= SAFE_HTML($_POST['phone']); ?>" />
                                    </div>
                                </div>

                                

                            </div>
                            <div class="col-md-6">
                                <div class="field">
                                    <label for="name"><?= ___('Message') ?></label>
                                    <textarea name="message" id="message" name="message" class="field" rows="13" cols="25" required="required"
                                              placeholder="<?= ___('Type your message here') ?>"><?= SAFE_HTML($_POST['message']); ?></textarea>
                                </div>
                            </div>
                            <div class="col-md-12">

                                <?php if ($this->enable_captcha): ?>
                                    <div class="contacts_form_field">
                                        <p><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="border: 0" /></p>

                                        <div class="field">
                                            <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                            <div class="ui labeled input">
                                                <span class="ui label"><i class="fa fa-hand-paper-o fa-lg" aria-hidden="true"></i></span>
                                                <input type="text" class="field" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= SAFE_HTML($_POST['verification_code']); ?>" required="required" />
                                            </div>
                                        </div>


                                    </div>
                                <?php endif; ?>
                                <br />
                                <button  type="submit" name="sendmail" id="submitbutton" value="Submit" class="btn btn-default pull-right" id="contact_us_btn"><i class="fa fa-paper-plane"></i> <?= ___('Send') ?></button>
                                <br /><br />
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</form>
