<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php

$captchaurl = SCHLIX_SITE_HTTPBASE . '/captcha.php';
global $HTMLHeader;
$can_login_with_email = $this->getConfig('bool_allow_login_by_email');
?>
<div id="global_busy_indicator" style="display:none"></div>
<form name="loginform" method="post" action="<?= $login_url; ?>" enctype="multipart/form-data" >
    <input name="login" type="hidden" value="login" >
    <?= \INPUT::CSRF() ?>
    <h1 class="title"><i class="fa fa-user"></i> <?= ___('My Account') ?></h1>
    <hr />
    <div class="row">
        <!-- col -->
        <div class="five wide computer column">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <strong> <?= ___('Sign in') ?></strong>
                </div>
                <div class="panel-body">
                    <div class="ui padded column">
                        <div class="col-sm-12 col-md-10  col-md-offset-1 ">
                            <div class="form-group">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-user"></i>
                                    </span> 
                                    
                                    <input class="form-control" placeholder="<?= ___('Username') ?> <?=  $can_login_with_email ? '/' . ___('E-mail') : '' ?>" 
                                           name="username" type="text" autofocus="1" required="required" value="<?= SAFE_HTML(fpost_string('username',63)) ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-lock"></i>
                                    </span>
                                    <input class="form-control" placeholder="<?= ___('Password'); ?>" name="password" type="password" value="" required="required">
                                </div>
                            </div>



                            <div class="form-group">
                                <label class="rememberlabel">
                                    <input name="remember" type="checkbox" id="chkremember" value="9999999" />
                                    <?= ___('Remember Me'); ?></label>                                        

                                <?php if ($_SESSION['invalid_password_retry'] > $invalid_retries_before_captcha): ?>
                                    <p><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="padding-right: 5px; border: 0" /></p>
                                    <div class="form-group">
                                        <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                        <div class="input-group">
                                            <span class="input-group-addon"><i class="fa fa-hand-paper-o fa-lg" aria-hidden="true"></i></span>
                                            <input type="text" class="form-control" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= SAFE_HTML($_POST['verification_code']); ?>" required="required" />
                                        </div>
                                    </div>

                                <?php endif; ?>                                        

                                <button type="submit" name="submit" class="btn btn-lg btn-success btn-block" value="Submit"><i class="fa fa-sign-in"></i> <?= ___('Sign in') ?></button>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel-footer ">
                    <a href="<?= $this->createFriendlyURL("action=forgotpassword"); ?>"><i class="fa fa-unlock-alt"></i>&nbsp;&nbsp;<?= ___('Forgot password?'); ?></a>
                    <?php if ($this->getConfig('bool_enable_registration')): ?>
                        <br />
                        <a href="<?= $this->createFriendlyURL("action=register"); ?>"> </a><a href="<?= $this->createFriendlyURL("action=register"); ?>"><i class="fa fa-user-plus"></i> <?= ___('Sign up'); ?></a>
                    <?php endif; ?>

                </div>
            </div>
        </div>
        <!-- col -->
        <div class="eleven wide computer column ">
            
        <?php if (count($error_list) > 0): ?>
            <!-- errors -->
            <div class="alert alert-danger">
                <?php foreach ($error_list as $error_str): ?>
                    <i class="fa fa-times"></i> <?= $error_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            
            
            <?= $this->getConfig('str_login_welcome_text') ?>
            
        </div>   
    </div>
</form>

<!-- ############################ -->