<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die();

$captchaurl = SCHLIX_SITE_HTTPBASE . '/captcha.php';
global $HTMLHeader;
?>
<h1 class="title"><i class="fa fa-user"></i> <?= ___('Change Password') ?></h1>
<hr />

<div id="global_busy_indicator" style="display:none"></div>
<div class="row">
    <?php if ($display_password_change_form): ?>

        <form  class="ui form" name="password_change_form" method="post" action="<?= $this->createFriendlyURL("action=changepassword") ?>" enctype="multipart/form-data" >
            <?= \INPUT::CSRF() ?>
            <!-- col -->
            <div class="ui five wide column">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong> <?= ___('Enter a new password') ?></strong>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-10  col-md-offset-1 ">
                                <div class="field">
                                    <div class="ui labeled input">
                                        <span class="ui label">
                                            <i class="fa fa-unlock"></i>
                                        </span> 
                                        <input class="field" placeholder="<?= ___('Current old password'); ?>" name="oldpassword" type="password" value="" required="required">
                                    </div>
                                </div>

                                <div class="field">
                                    <div class="ui labeled input">
                                        <span class="ui label">
                                            <i class="fa fa-lock"></i>
                                        </span> 
                                        <input class="field" placeholder="<?= ___('New password'); ?>" name="password" type="password" value="" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{7,25}" required="required">
                                        <input class="field" placeholder="<?= ___('Confirm this new password'); ?>" name="password_verify" type="password" value="" required="required">
                                    </div>
                                </div>

                                <div class="field">
                                    <?php if ($this->getConfig('bool_enable_captcha_change_password')): ?>
                                        <p><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="padding-right: 5px; border: 0" /></p>
                                        <div class="field">
                                            <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                            <div class="ui labeled input">
                                                <span class="ui label"><i class="fa fa-hand-paper-o fa-lg" aria-hidden="true"></i></span>
                                                <input type="text" class="field" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= SAFE_HTML($_POST['verification_code']); ?>" required="required" />
                                            </div>
                                        </div>

                                    <?php endif ?>

                                    <button type="submit" name="submit" class="btn  btn-success btn-block" value="Submit"><i class="fa fa-lock"></i> <?= ___('Change Password') ?></button>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </form>     
    <?php endif ?>

    <!-- col -->
    <div class="col-sm-6 col-md-8 ">
        <?php if (count($error_list) > 0): ?>
            <!-- errors -->
            <div class="alert alert-danger">
                <?php foreach ($error_list as $error_str): ?>
                    <i class="fa fa-times"></i> <?= $error_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            
        <?php if (count($success_list) > 0): ?>
            <!-- success -->
            <div class="alert alert-info">
                <?php foreach ($success_list as $success_str): ?>
                    <i class="fa fa-check"></i> <?= $success_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            

        <?= $this->getConfig('str_password_change_text') ?>
    </div>   
</div>

<!-- ############################ -->