<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION'))
    die();
?>
<?php
global $HTMLHeader;

$HTMLHeader->JAVASCRIPT_SCHLIX_UI();
$HTMLHeader->JAVASCRIPT($this->getURLofScript('users.js'));
$HTMLHeader->CSS($this->getURLofScript('users.css'));
$captchaurl = SCHLIX_SITE_HTTPBASE . '/captcha.php';
global $HTMLHeader;

?>
<script type="text/javascript">
    
    var register_action = "<?= $this->createFriendlyURL('action=register'); ?>";
    
</script>
<h1 class="title"><i class="fa fa-user"></i> <?= ___('Create a Profile') ?></h1>
<hr />
<?php if ($registration_error_string): ?>
<div class="alert alert-danger">
    <?= $registration_error_string ?>
</div>
<?php endif; ?>
<div class="row">
    <?php if ($display_registration_form): ?>
    <!-- col -->
    <div class="ui eight wide column">
        <!-- col content -->
        <div class="panel panel-default">
            <div class="panel-heading">
                <strong> <?= ___('User Registration') ?></strong>
            </div>
            <div class="panel-body">
                <!-- form -->

                <form method="post" action="<?= $this->createFriendlyURL('action=spamreg'); ?>" name="registeruser" id="registeruser" enctype="multipart/form-data" autocomplete="off">
                    <?= \INPUT::CSRF() ?>

                    <div class="main-login">

                        <div class="form-group">
                            <label for="name" class=" control-label"><?= ___('First &amp; Last Name') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-users fa" aria-hidden="true"></i></span>
                                <input type="text" class="form-control" name="firstname" id="firstname"  placeholder="<?= ___('Enter your first name') ?>"  value="<?= SAFE_HTML($_POST['firstname']); ?>" required="required" />
                                <input type="text" class="form-control" name="lastname" id="lastname"  placeholder="<?= ___('Enter your last name') ?>" value="<?= SAFE_HTML($_POST['lastname']); ?>" required="required" />
                            </div>
                        </div>
                        

                        <?php if ($this->getConfig('bool_require_dob')) : ?>
                        
                        <div class="form-group">
                            <label for="dob_year" class=" control-label"><?= ___('Date of Birth') ?></label>
                            <?= \INPUT::DatePicker('dob', $_POST['date_of_birth'], 1900, date('Y')) ?>
                        </div>
                        <?php endif ?>
                        
                        <?php if ($this->getConfig('bool_require_gender')) : ?>
                        <div class="form-group">
                            <label class=" control-label"><?= ___('Gender') ?></label><br />

                            <label class="radio-inline">
                                <input type="radio" id="gender_male" name="gender" value="1" <?= fpost_int('gender')==1 ? 'checked="checked"' : '' ?> /><i class="fa fa-male"></i>&nbsp;<?= ___('Male') ?>
                            </label>
                            <label class="radio-inline">
                                <input type="radio" id="gender_female" name="gender" value="2" <?= fpost_int('gender')==2 ? 'checked="checked"' : '' ?> /><i class="fa fa-female"></i>&nbsp;<?= ___('Female') ?>
                            </label>
                            <label class="radio-inline">
                                <input type="radio" id="gender_unspecified" name="gender" value="0" <?= fpost_int('gender')==3 ? 'checked="checked"' : '' ?>/><?= ___('Unspecified') ?>
                            </label>
                        </div>
                        <?php endif ?>                        

                        <div class="form-group">
                            <label for="email" class=" control-label"><?= ___('Your Email') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-envelope fa" aria-hidden="true"></i></span>
                                <input type="email" class="form-control" name="email_address" id="email_address"  placeholder="<?= ___('Enter your Email') ?>"  value="<?= SAFE_HTML($_POST['email_address']); ?>" required="required" />
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="username" class=" control-label"><?= ___('Username') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-user fa" aria-hidden="true"></i></span>
                                <input type="text" class="form-control" name="username" id="username"  placeholder="<?= ___('Enter your Username') ?>" value="<?= SAFE_HTML($_POST['username']); ?>" required="required" />
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="password" class=" control-label"><?= ___('Password') ?></label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-lock fa-lg" aria-hidden="true"></i></span>
                                <input type="password" class="form-control" name="password" id="password"  placeholder="<?= ___('Enter your Password') ?>" value="" pattern=".{7,50}" required="required" title ="Minimum 7 characters" />
                                <input type="password" class="form-control" name="password_verify" id="confirm"  placeholder="<?= ___('Confirm your Password') ?>"  value="" required="required" />
                            </div>
                        </div>
                        

                        <?php if ($enable_captcha_user_registration): ?>
                            <p class="text-center"><img src="<?= $captchaurl; ?>" alt="Captcha" id="siimage" style="padding-right: 5px; border: 0" /></p>

                            <div class="form-group">
                                <label for="confirm" class=" control-label"><?= ___('Human verification') ?></label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-hand-paper-o fa-lg" aria-hidden="true"></i></span>
                                    <input type="text" class="form-control" name="verification_code" id="verification_code"  placeholder="<?= ___('Please type the random text above') ?>"  value="<?= SAFE_HTML($_POST['verification_code']); ?>" required="required" />
                                </div>
                            </div>
                        <?php endif; ?>


                        <div class="form-group ">
                            <button type="submit" name="submit" value="yes" class="btn btn-success btn-block login-button"><i class="fa fa-user-plus"></i> <?= ___('Register') ?></button>
                        </div>
                    </div>               

                </form>

                <!-- end form -->
            </div>
            <div class="panel-footer">
                <a href="<?= $this->createFriendlyURL("action=forgotpassword"); ?>"><i class="fa fa-unlock-alt"></i> <?= ___('Forgot password?'); ?></a>
                <br />

                <a href="<?= $this->createFriendlyURL("action=login"); ?>"><i class="fa fa-sign-in"></i> <?= ___('Login with an existing account'); ?></a>
            </div>
        </div>
        <!-- end col content -->
    </div>
    <?php endif  ?>
    <!-- col -->
    <div class="ui eight wide column">
        <?php if (count($error_list) > 0): ?>
            <!-- errors -->
            <div class="alert alert-danger">
                <?php foreach ($error_list as $error_str): ?>
                    <i class="fa fa-times"></i> <?= $error_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            
        <?php if (count($success_list) > 0): ?>
            <!-- success -->
            <div class="alert alert-info">
                <?php foreach ($success_list as $success_str): ?>
                    <i class="fa fa-check"></i> <?= $success_str ?><br />
                <?php endforeach ?>
            </div>
        <?php endif; ?>            
        
        <!-- content -->
        <?= $this->getConfig('str_registration_welcome_text') ?>
        <!-- end content -->
    </div>
</div>     