/**
 * Blank Semantic UI - theme class
 * 
 * 
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package blanksemanticui
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */


function traverse_menu_item(root, classPre, layer) {
  var target = document.getElementById('txt');
  var result = '';
  
  root = root || document.body;
  layer = layer || 0;

  var node, nodes = root.childNodes;
  var tagName;

  for (var i=0, nodes_length = nodes.length; i < nodes_length ; i++) {
    node = nodes[i];
    tagName = node.tagName && node.tagName.toLowerCase();
 
    if (tagName == 'li') {
      node.className = classPre + '-' + layer;
      var li = '';
      if (node.firstChild.href != undefined)
      {
        li =  '<a class="item" href="' + node.firstChild['href'] + '">' +  node.firstChild.innerHTML +  "</a>\n"; //  '<a href="' + node['href'] + '">' + node.innerHTML +  '</a>' + "\n";    
      }
      var child_content = traverse_menu_item(node, classPre, layer + 1);
      if (child_content)
      {
          var prefix = (layer == 0) ? '<div class="ui pointing  dropdown item">' :  '<div class="item"> ' + ' <i class="dropdown icon"></i>';
          var icon_pos = (layer == 0) ? ' <i class="dropdown icon"></i>' : '';
         result += prefix + node.firstChild.innerHTML +  icon_pos+ child_content + "</div>\n";
      } else
      {
          result += li;
      }
            
    } else if (node.nodeType == 1) {
        if (tagName == 'ul') {
            //target.innerHTML +=  '<div class="menu">';
            var child_content =  traverse_menu_item(node, classPre, layer);
            if (child_content != '')
            {
                result += '<div class="menu">' + child_content + '</div>' + "\n";
            }
        }  
      
    }
  }
  return result; 
}

/**
 * Fix bootstrap class
 * @param {string} orig
 * @param {string} newclass
 */
function fixBootstrapClass(orig, newclass)
{
    $(orig).each(function(li) { 
        
        $(this).addClass(newclass); 
    });    
}

/**
 * On DOM Ready
 */
$(document).ready(function() {

    // fix menu when passed
    
    
    $('.masthead')
      .visibility({
        once: false,
        onBottomPassed: function() {
          $('.fixed.menu').transition('fade in');
        },
        onBottomPassedReverse: function() {
          $('.fixed.menu').transition('fade out');
        }
      })
    ;
    // Adjust Menu - this is a 'hack'
    var mobile_menu = document.getElementById('hidden-mobile-menu');
    var main_menu = document.getElementById('top-navigation-menu');
    var sidebar_menu = document.getElementById('sidebar-menu');
    var menu_content =  traverse_menu_item(document.getElementById('top_navigation_menu'));
    mobile_menu.innerHTML =   menu_content;
    sidebar_menu.innerHTML = menu_content;
    main_menu.innerHTML = '<a class="toc item"><i class="sidebar icon"></i></a>' +menu_content;
    
    // create sidebar and attach to menu open
    $('.ui.sidebar').sidebar({transition: 'overlay'});
    $('.ui.sidebar').sidebar('attach events', '.toc.item');
    
    $('.ui.dropdown').dropdown({});
    
    var bootstrap_translation = {
        // Button
        '.btn-readmore' :  'ui primary button',
        '.btn-info' :  'ui primary button',
        '.btn-default' :  'ui primary button',
        '.btn-success' :  'ui positive button',
        '.btn-warning' :  'ui orange button',
        '.btn-danger' :  'ui red button',
        // Panel
        '.panel': 'column',
        '.panel-default > .panel-heading' : 'ui top attached block header',
        '.panel-info > .panel-heading' : 'ui top attached info message',
        '.panel-body' : 'ui bottom attached padded segment',
        //'.panel-footer' : 'ui bottom attached segment',
        // Breadcrumb
        'ul.breadcrumb' : 'ui breadcrumb',
        'ul.breadcrumb li a' : 'section',
        
        // Form
        'form': 'ui form',
        '.form-group' : 'field',
        '.input-group' : 'ui labeled input',
        '.input-group-addon': 'ui label',
        '.form-control': 'field',
        '.well': 'ui segment',
        // Divier
        'hr': 'ui divider',
        // Grid
        '.row': 'ui stackable grid'
        // Some columns cannot be emulated since it uses 16 grid instead of 12
        /*
        '.col-md-3': 'ui four wide column',
        '.col-md-6': 'ui eight wide column',
        '.col-md-9': 'ui twelve wide column',
        '.col-md-12': 'ui sixteen wide column'*/
    };
    
    for (var key in bootstrap_translation) {
      if (bootstrap_translation.hasOwnProperty(key)) {
        fixBootstrapClass(key, bootstrap_translation[key]);
      }
    }   
 
  });