<?php if (!defined('SCHLIX_VERSION')) die('No Access'); ?>
<?php
/**
 * Blank Semantic UI - theme
 * 
 * 
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package blanksemanticui
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */
?>
<!doctype html>
<head>
    <meta charset="UTF-8">
    <title><?= SCHLIX_SITE_NAME; ?> - <?= SCHLIX\cmsPageOutput::HTMLPageTitle() ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="<?= CURRENT_THEME_URL_PATH; ?>/css/semantic.min.css" />
    <link rel="stylesheet" type="text/css" href="<?= SCHLIX_SYSTEM_URL_PATH ?>/fonts/font-awesome/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?= CURRENT_THEME_URL_PATH; ?>/css/style.css" />
    <meta name="description" content="<?= SCHLIX\cmsPageOutput::HTMLMetaDescription() ?>" />
    <meta name="keywords" content="<?= SCHLIX\cmsPageOutput::HTMLMetaKeywords() ?>" />
    <!--[if IE]>
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <![endif]-->
    <link rel="shortcut icon" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/favicon.ico" type="image/x-icon" />
    <link rel="apple-touch-icon" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon.png" />
    <link rel="apple-touch-icon" sizes="57x57" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-57x57.png" />
    <link rel="apple-touch-icon" sizes="72x72" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-72x72.png" />
    <link rel="apple-touch-icon" sizes="76x76" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-76x76.png" />
    <link rel="apple-touch-icon" sizes="114x114" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-114x114.png" />
    <link rel="apple-touch-icon" sizes="120x120" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-120x120.png" />
    <link rel="apple-touch-icon" sizes="144x144" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-144x144.png" />
    <link rel="apple-touch-icon" sizes="152x152" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-152x152.png" />
    <link rel="apple-touch-icon" sizes="180x180" href="<?= CURRENT_THEME_URL_PATH; ?>/icons/apple-touch-icon-180x180.png" />
    <script src="<?= SCHLIX_SYSTEM_URL_PATH; ?>/js/jquery/jquery-2.1.4.min.js"></script>
    <script src="<?= CURRENT_THEME_URL_PATH; ?>/js/semantic.min.js"></script>
    <script src="<?= CURRENT_THEME_URL_PATH; ?>/js/main.js"></script>
    <?= SCHLIX\cmsPageOutput::HTMLHeader() ?>
</head>
<body>


    <!-- Following Menu -->
    <div class="ui large top fixed hidden menu">
        <div class="ui container" id="hidden-mobile-menu">
            <!-- menu insert via js -->
        </div>
    </div>


    <!-- Sidebar Menu -->
    <div class="ui vertical inverted sidebar menu" id="sidebar-menu">
        <!-- menu insert via js -->
    </div>


    <!-- Page Contents - Pusher -->
    <div class="pusher">
        <!-- Top Navbar -->
        <div class="ui inverted vertical masthead center aligned segment">

            <div class="ui container">
                <div class="ui large secondary inverted pointing menu"  id="top-navigation-menu">
                    <?= SCHLIX\cmsPageOutput::BlockCategory('menu_top'); ?>
                </div>
            </div>

        </div>
        <!-- Main -->
        <div class="ui stackable grid container">
            <!-- column -->
            <div class="ui four wide  column basic segment">
                
                <?= SCHLIX\cmsPageOutput::BlockCategory('search') ?>
                <hr />
                <?= SCHLIX\cmsPageOutput::BlockCategory('right'); ?>
            </div>
            <!-- column -->
            <div class="ui twelve wide column basic segment">
                <?= SCHLIX\cmsPageOutput::BreadCrumbs(); ?>

                <?= SCHLIX\cmsPageOutput::ApplicationBody() ?>
            </div>

        </div>
        <!-- Footer -->
        <div class="ui inverted vertical footer segment" id="footer">
            <div class="ui container">
                <!-- row -->
                <div class="ui stackable inverted divided equal height stackable grid">
                    <div class="four wide column">
                        <?= SCHLIX\cmsPageOutput::BlockCategory('footer1') ?>
                    </div>
                    <!-- column -->
                    <div class="four wide column">
                        <?= SCHLIX\cmsPageOutput::BlockCategory('footer2') ?>
                    </div>
                    <!-- column -->
                    <div class="four wide column">
                        <?= SCHLIX\cmsPageOutput::BlockCategory('footer3') ?>
                    </div>
                    <!-- column -->
                    <div class="four wide column">
                        <?= SCHLIX\cmsPageOutput::BlockCategory('footer4') ?>
                    </div>

                </div>
                <!-- row -->

            </div>
        </div>
        <!-- copyright -->
        <div class="ui  vertical footer segment">
            <div class="ui container">
                <div class="ui stackable inverted divided equal height stackable grid">

                    <div class="eight wide column center">
                        &copy; <?= date('Y') ?> <a target="_blank" href="<?= SCHLIX_SITE_URL ?>" title="Demo theme">My Company Name</a>. All Rights Reserved.
                    </div>
                    <div class="eight wide column center">
                        <?= SCHLIX\cmsPageOutput::BlockCategory('menu_bottom') ?>
                    </div>

                </div>
            </div>
        </div>

        <!-- end pusher content -->
    </div>
</body>
</html>
